For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Update service line for encounter that may be institutional or professional.
PATCH
/api/service-lines/v2/:service_line_id/universal
Authentication
AuthorizationBearer
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.
Path parameters
service_line_idstringRequiredformat: "uuid"
Request
This endpoint expects an object.
charge_amount_centsinteger or nullOptional
The total amount charged for this service line, factoring in quantity. If procedure_code is updated and this is not, the system will attempt to set it based on chargemasters entries and the service line’s quantity. For example, if a single unit has an entry of 100 cents and 2 units were rendered, the charge_amount_cents will be set to 200, if there is no chargemaster entry, it will default to the amount set in this field.
custom_procedure_codestring or nullOptional
Updates and preserves the custom CPT code received on this service line. Custom CPT codes are specific to your organization and are used for rules and reporting purposes.
date_of_servicedate or nullOptional
date_of_service must be defined on either the encounter or the service lines but not both.
denial_reasonobject or nullOptional
The reason a given service line was denied within a given time range. A service line may be denied for different reasons over time, but only one reason at a time.
descriptionstring or nullOptional
A free-form description to clarify the related data elements and their content. Maps to SV1-01, C003-07 on a 837-P and SV2-02, C003-07 on a 837-I form.
diagnosis_id_onestring or nullOptionalformat: "uuid"
diagnosis_id_threestring or nullOptionalformat: "uuid"
diagnosis_id_twostring or nullOptionalformat: "uuid"
diagnosis_id_zerostring or nullOptionalformat: "uuid"
drug_identificationobject or nullOptional
edit_reasonstring or nullOptional
end_date_of_servicedate or nullOptional
external_idstring or nullOptional
An external identifier for this service line. This is not used in the EDI 837, but can be used to identify the service line in external systems. This field should not contain PHI. Must be unique on a given claim.
has_epsdt_indicatorboolean or nullOptional
Maps to SV1-12 on the 837-P and Box 24I on the CMS-1500. If the value is true, the box will be populated with “Y”. Otherwise, the box will not be populated. This box is not used on an 837i.
has_family_planning_indicatorboolean or nullOptional
Maps to SV1-12 on the 837-P and Box 24I on the CMS-1500.
If the value is true, the box will be populated with “Y”. Otherwise, the box will not be populated.
modifierslist of enums or nullOptional
notestring or nullOptional
Maps to NTE02 loop 2400 on the EDI 837.
place_of_service_codeenum or nullOptional
837p Loop2300, SV105. This enum is not used or required in 837i claims. If your organization does not intend to submit claims with a different place of service at the service line level, this field should not be populated. 02 for telemedicine, 11 for in-person. Full list here.
prior_authorization_numberstring or nullOptional
Prior authorization number for this service line. Maps to the appropriate REF segment on Loop 2400 of the EDI 837p. This is not used for institutional claims (EDI 837i).
procedure_codestring or nullOptional
If procedure_code is updated, and charge_amount_cents is not, then charge_amount_cents will be set by the system.
Pass null to uncode the service line, which is valid for institutional (837i) claims that bill by revenue code
rather than a CPT/HCPCS code.
quantitystring or nullOptional
String representation of a Decimal that can be parsed by most libraries.
For professional claims, a ServiceLine quantity cannot contain more than one digit of precision
(Example: 1.1 is valid, 1.11 is not). For institutional claims, a ServiceLine quantity cannot contain
more than three decimal digits of precision.
revenue_codestring or nullOptional
A 4 digit code that specifies facility department or type of service arrangement for institutional service line items (837i). This code is not required for professional claim billing (837p).
test_resultslist of objects or nullOptional
Contains a list of test results. Test result types may map to MEA-02 on the 837-P (ex: Hemoglobin, Hematocrit).
This is unused by 837-i and ignored for institutional service lines.
No more than 5 MEA-02 test results may be submitted per service line.
Updating test results utilizes PUT semantics, so the test results on the service line will be set to whatever inputs are provided.
unitsenum or nullOptional
Allowed values:
Response
created_atdatetime
service_line_idstringformat: "uuid"
procedure_codestring
quantitystring
String representation of a Decimal that can be parsed by most libraries.
For professional claims, a ServiceLine quantity cannot contain more than one digit of precision
(Example: 1.1 is valid, 1.11 is not). For institutional claims, a ServiceLine quantity cannot contain
more than three decimal digits of precision.
unitsenum
Allowed values:
claim_idstringformat: "uuid"
date_of_service_rangeobject
A range of dates of service for this service line. If the service line is for a single date, the end date will be empty.
date_of_servicedate
modifierslist of enums or nullOptional
charge_amount_centsinteger or nullOptional
allowed_amount_centsinteger or nullOptional
insurance_balance_centsinteger or nullOptional
patient_balance_centsinteger or nullOptional
paid_amount_centsinteger or nullOptional
primary_paid_amount_centsinteger or nullOptional
secondary_paid_amount_centsinteger or nullOptional
tertiary_paid_amount_centsinteger or nullOptional
patient_responsibility_centsinteger or nullOptional
copay_centsinteger or nullOptional
coinsurance_centsinteger or nullOptional
deductible_centsinteger or nullOptional
diagnosis_id_zerostring or nullOptionalformat: "uuid"
diagnosis_id_onestring or nullOptionalformat: "uuid"
diagnosis_id_twostring or nullOptionalformat: "uuid"
diagnosis_id_threestring or nullOptionalformat: "uuid"
drug_identificationobject or nullOptional
service_line_era_dataobject or nullOptional
service_line_manual_adjustmentslist of objects or nullOptional
related_invoiceslist of objects or nullOptional
related_invoice_infolist of objects or nullOptional
denial_reasonobject or nullOptional
The reason a given service line was denied within a given time range. A service line may be denied for different reasons over time, but only one reason at a time.
place_of_service_codeenum or nullOptional
837p Loop2300, SV105. This enum is not used or required in 837i claims. If your organization does not intend to submit claims with a different place of service at the service line level, this field should not be populated. 02 for telemedicine, 11 for in-person. Full list here.
place_of_service_code_as_submittedenum or nullOptional
837p Loop2300, SV105. 02 for telemedicine, 11 for in-person. Full list here.
custom_procedure_codestring or nullOptional
Represents and preserves the custom CPT code received on this service line. Custom CPT codes are specific to your organization and are used for rules and reporting purposes.
ordering_providerobject or nullOptional
revenue_codestring or nullOptional
A 4 digit code that specifies facility department or type of service arrangement for institutional service line items (837i). This code is not required for professional claim billing (837p).
descriptionstring or nullOptional
A free-form description to clarify the related data elements and their content. Maps to SV1-01, C003-07 on a 837-P and SV2-02, C003-07 on a 837-I form.
end_date_of_servicedate or nullOptional
test_resultslist of objects or nullOptional
Contains a list of test results. Test result types may map to MEA-02 on the 837-P (ex: Hemoglobin, Hematocrit).
This is unused by 837-i and ignored for institutional service lines.
No more than 5 MEA-02 test results may be submitted per service line.
has_epsdt_indicatorboolean or nullOptional
Maps to SV1-11 on the 837-P and Box 24H on the CMS-1500.
If the value is true, the box will be populated with “Y”. Otherwise, the box will not be populated.
has_family_planning_indicatorboolean or nullOptional
Maps to SV1-12 on the 837-P and Box 24I on the CMS-1500.
If the value is true, the box will be populated with “Y”. Otherwise, the box will not be populated.
notestring or nullOptional
Maps to NTE02 loop 2400 on the EDI 837.
prior_authorization_numberstring or nullOptional
Prior authorization number for this service line. Maps to the appropriate REF segment on Loop 2400 of the EDI 837p. This is not used for institutional claims (EDI 837i).
external_idstring or nullOptional
An external identifier for this service line. This is not used in the EDI 837, but can be used to identify the service line in external systems. This field should not contain PHI. Must be unique on a given claim.